
{% set meta = section[0] %}
{% set articles = section[1] %}

{% if meta.status != 'hidden' %}

<section 
id="{{meta.slug}}" 
class="home-section {% if meta.size %}home-section--{{ meta.size }}{% endif %} {% if articles and articles|length > 0 %}has-list{% endif %}"
data-order="{{section.order}}">

<h2><a href="#{{meta.slug}}" class="pad-h button-link">{{meta.name}}</a></h2>

<div class="section__content">
    
    {# if it's a category with non index article in it #}
    {% if articles and articles|length > 0 %}
        
    <details class="section__list mobile-details" open>
        <summary class="pad-h"></summary>

        <ul class="articles-list">
    
        {% for article in articles %}
            {% if article.title != 'index' %}
    
            <li class="pad">

                <header class="{% if article.thumbnail %}has-thumbnail{% endif %}">

                    <h3>
                        {% if article.link %}
                            {% if article.link == "away" %}
                                <span class="away">{{article.title}}</span>
                            {% else %}
                                <a href="{{article.link}}">{{article.title}}</a>
                            {% endif %}
                        {% elif article.content != "" or article.media_urls %}
                            <a href="{{article.url}}">{{article.title}}</a>
                        {% else %}
                            {{article.title}}
                        {% endif %}
                    </h3>
                    
                    <time class="date" datetime="{{ article.date.isoformat() }}">{{article.locale_date}}</time>
                    
                    
                    {% if article.thumbnail %}
                        <img class="thumbnail" src="{{article.thumbnail}}">
                    {% endif %}
                    
                    
                </header>
                
                {% if article.summary %}
                <div class="short"> {{article.summary}} </div>
                {% endif %}
                
                {#
                {% if article.tags %}<ul class="tags comma-list">{% for tag in article.tags %}<li>{{tag}}</li>{% endfor %}</ul>{% endif %}
                #}
                
            </li>
    
            {% endif %}
        {% endfor %}
    
        </ul>
    </details>
    
    {% elif meta.description %}
        <div class="section__description pad">
            {{ meta.description }}
        </div>
    {% endif %}
</div>

</section>

{% endif %}


